> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hire.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Lists public job posts with form IDs

> Lists public job posts



## OpenAPI

````yaml api-reference/openapi.yaml get /zapier/published-jobs
openapi: 3.0.0
info:
  version: 1.0.0
  title: Hire.inc Integration API
  description: API for Hire.inc Integrations
servers:
  - url: https://mgnmzef4kd.us-east-1.awsapprunner.com/api/v1/
    description: Production Server
security: []
tags:
  - name: zapier
    description: Endpoints for Zapier operations
paths:
  /zapier/published-jobs:
    get:
      tags:
        - zapier
      summary: Lists public job posts with form IDs
      description: Lists public job posts
      responses:
        '200':
          description: Successfully retrieved the list of job posts
          content:
            application/json:
              schema:
                type: object
                properties:
                  total:
                    type: number
                  totalPages:
                    type: number
                  currentPage:
                    type: number
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        title:
                          type: string
                          minLength: 3
                          maxLength: 255
                        seniority:
                          type: string
                          enum:
                            - entry
                            - junior
                            - midlevel
                            - senior
                            - executive
                        presence:
                          type: string
                          enum:
                            - onsite
                            - remote
                            - hybrid
                        showSalaryOnJobBoard:
                          type: boolean
                          default: false
                        minAnnualSalary:
                          type: number
                          minimum: 0
                          maximum: 2147483647
                        maxAnnualSalary:
                          type: number
                          minimum: 0
                          maximum: 2147483647
                        annualSalaryCurrency:
                          type: string
                          enum:
                            - USD
                            - EUR
                            - GBP
                            - EGP
                            - AED
                            - SAR
                        type:
                          type: string
                          enum:
                            - fulltime
                            - parttime
                            - contract
                        details:
                          type: string
                          maxLength: 10000
                        createdAt:
                          type: string
                        Country:
                          type: object
                          properties:
                            name:
                              type: string
                            iso3:
                              type: string
                          required:
                            - name
                            - iso3
                        JobBoardForm:
                          type: object
                          properties:
                            id:
                              type: string
                            createdAt:
                              type: string
                            workspaceId:
                              type: string
                          required:
                            - id
                            - createdAt
                            - workspaceId
                          additionalProperties: false
                      required:
                        - id
                        - title
                        - details
                        - createdAt
                        - Country
                        - JobBoardForm
                      additionalProperties: false
                required:
                  - total
                  - totalPages
                  - currentPage
                  - data
        '401':
          description: Unauthorized
        '404':
          description: Job board not found
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication

````